TDB_FETCH(3)

NAME
tdb_fetch - fetch a record from a tdb database

SYNOPSIS
#include <tdb.h>

TDB_DATA tdb_fetch(TDB_CONTEXT *tdb, TDB_DATA key);

DESCRIPTION
Fetch the record from the tdb database whose key matches key , a lump of data that is used as the index into the database.

The TDB_DATA structure used for both the key and the return value is defined as:

    typedef struct {
    	char *dptr;
    	size_t dsize;
    } TDB_DATA;

RETURN VALUE
If the call succeeds, then a TDB_DATA structure is returned with the dptr structure filled in. If the call fails then dptr will be set to NULL.

NOTE: The caller is responsible for freeing the data pointed to by dptr.

AUTHORS
Software: Andrew Tridgell <tridge@linuxcare.com> and Luke Kenneth Casson Leighton Man page: Ben Woodard <ben@valinux.com>

SEE ALSO
gdbm(3), tdb(3)